gnutls_session_set_verify_cert2(3)

NAME
gnutls_session_set_verify_cert2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_session_set_verify_cert2(gnutls_session_t session, gnutls_typed_vdata_st * data, unsigned elements, unsigned flags);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

gnutls_typed_vdata_st * data
    an array of typed data

unsigned elements
    the number of data elements

unsigned flags
    flags for certificate verification -- gnutls_certificate_verify_flags

DESCRIPTION
This function instructs GnuTLS to verify the peer's certificate using the provided typed data information. If the verification fails the handshake will also fail with GNUTLS_E_CERTIFICATE_VERIFICATION_ERROR. In that case the verification result can be obtained using gnutls_session_get_verify_cert_status().

The acceptable typed data are the same as in gnutls_certificate_verify_peers(), and once set must remain valid for the lifetime of the session. More precisely they should be available during any subsequent handshakes.

If flags is provided which contain a profile, this function should be called after any session priority setting functions.

SINCE
3.4.6

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/